Search results

  1. S

    Post [Help Thread][Amazon Fire] 7" - 5th Gen 2015 ONLY! Ask Any Question, Noob Friendly

    I have 5th gen fire 7 running 5.6.8.0 - hoping to get lineage on there but struggling with downgrading, I've followed the guide posted on the other thread but getting stuck, anyone help a total n00b to get this working?